package com.brilliance.isc.common.rmbbop.vo;


import com.brilliance.isc.annotation.ForceRecalculate;
import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.BizAmdInfoVo;
import com.brilliance.isc.common.vo.BizInfoVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

@Data
@EqualsAndHashCode(callSuper = true)
@JsonIgnoreProperties(ignoreUnknown = true)
public class Rmbbop extends AbstractCommonVo implements Serializable {

    private Rmb2101 rmb2101;
    private Rmb2102 rmb2102;
    private Rmb2103 rmb2103;
    private Rmb2106 rmb2106;
    private Rmb2107 rmb2107;
    private Rmb2108 rmb2108;
    private Rmb2111 rmb2111;
    private Rmb2112 rmb2112;
    private Rmb2122 rmb2122;
    private Rmb2123 rmb2123;
    private Rmb2180 rmb2180;

    private String aloneflg;

    private BizInfoVo rec;
    private BizAmdInfoVo amdRec;
    private Map<String, Cbb> cbsMap;
    private List<PtsptaVo> ptsList;


    @Override
    public void reset() {
        if (rmb2101 == null) {
            rmb2101 = new Rmb2101();
        }
        rmb2101.reset();
        if (rmb2102 == null) {
            rmb2102 = new Rmb2102();
        }
        rmb2102.reset();
        if (rmb2103 == null) {
            rmb2103 = new Rmb2103();
        }
        rmb2103.reset();
        if (rmb2106 == null) {
            rmb2106 = new Rmb2106();
        }
        rmb2106.reset();
        if (rmb2107 == null) {
            rmb2107 = new Rmb2107();
        }
        rmb2107.reset();
        if (rmb2108 == null) {
            rmb2108 = new Rmb2108();
        }
        rmb2108.reset();
        if (rmb2111 == null) {
            rmb2111 = new Rmb2111();
        }
        rmb2111.reset();

        if (rmb2112 == null) {
            rmb2112 = new Rmb2112();
        }
        rmb2112.reset();
        if (rmb2122 == null) {
            rmb2122 = new Rmb2122();
        }
        rmb2122.reset();
        if (rmb2123 == null) {
            rmb2123 = new Rmb2123();
        }
        rmb2123.reset();
        if (rmb2180 == null) {
            rmb2180 = new Rmb2180();
        }
        rmb2180.reset();
    }

}
